package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)枚举类
*
* @author zxfei
*/
public enum SubMethodEnum {
    系统自动(1, "系统自动"),
    人工添加(2, "人工添加"),
    大厅巡查(3, "大厅巡查"),
    申诉冲销(4, "申诉冲销");
    private Integer value;
    private String desc;

    SubMethodEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static SubMethodEnum getByValue(Integer value) {
        for (SubMethodEnum subMethodEnum : SubMethodEnum.values()) {
            if (subMethodEnum.getValue() == value) {
                return subMethodEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (SubMethodEnum item : SubMethodEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}